@import url('https://fonts.googleapis.com/css2?family=Gabarito:wght@400..900&display=swap');

* {
    font-family: "Poppins", sans-serif;
    font-weight: 500;
    scroll-behavior: smooth;
    
    color: white;
}

.btn {
  -webkit-tap-highlight-color: transparent;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}
.div {
  -webkit-tap-highlight-color: transparent;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}
a {
  -webkit-tap-highlight-color: transparent;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

button {
  -webkit-tap-highlight-color: transparent;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}
body {
    font-family: 'Poppins', sans-serif;
    padding-top: 80px;
    display: grid;
    background-color: #212722;
}

.grids {
    max-width: 1200px;
    margin: 0 auto;
    display: grid;
    grid-gap: 1rem;
}

.grid {
    padding: 1px;
}

@media (min-width: 900px) {
    .grids {
        grid-template-columns: repeat(2, 1fr);
    }
}

/* Screen larger than 900px? 3 columns */
@media (min-width: 600px) {
    .grids {
        grid-template-columns: repeat(2, 1fr);
    }
}

nav {
    position: fixed;
    top: 0px;
    left: 50%;
    transform: translateX(-50%);
    width: 90%;
    max-width: 1100px;
    backdrop-filter: blur(40px);
    background-color: #21272260;
    padding: 0.7rem 1.5rem;
    z-index: 1000;
    border-radius: 100px;
}

@media (max-width: 768px) {
   nav {
    border-radius: 0px;
}
}

.navbar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    
}

.logo {
    color: white;
    font-size: 1.4rem;
    font-weight: bold;
    text-decoration: none;
    border: 2px solid rgb(59, 72, 57);
    padding: 10px;
    border-top-right-radius: 25px;
    border-bottom-right-radius: 25px;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
}

.nav-links {
    display: flex;
    gap: 1.2rem;
    background: rgb(41, 49, 40);
    
    border-radius: 40px;
    padding: 15px;
}

.nav-links a {
    color: rgba(255, 255, 255, 0.525);
    text-decoration: none;
    font-size: 1rem;
    transition: 0.3s;
    padding: 6px 12px;
    border-radius: 12px;
    background-color: transparent;
}

.navbtn {
    background: rgba(39, 39, 39, 0.525);
    border: 2px solid rgb(59, 72, 57);
    text-decoration: none;
    padding: 15px;
    border-radius: 40px;
    transition: 0.3s ease;
}

.navbtn:hover {
    background-color: rgb(59, 72, 57);
    box-shadow: 4px 4px rgb(59, 72, 57);
    border: 2px solid rgb(62, 88, 59);
}

.nav-links a:hover {
    color: white;
    background-color: rgb(59, 72, 57);
    border-radius: 100px;
    box-shadow: 4px 4px rgb(59, 72, 57);
}

/* Hamburger */
.menu-toggle {
    display: none;
    flex-direction: column;
    cursor: pointer;
    gap: 5px;
}

.menu-toggle span {
    display: block;
    width: 25px;
    height: 3px;
    background: white;
    border-radius: 2px;
    transition: 0.3s;
}

/* Responsive */
@media (max-width: 768px) {
    .nav-links {
        display: none;
        flex-direction: column;
        background: rgba(255, 255, 255, 0.15);
        backdrop-filter: blur(10px);
        position: absolute;
        top: 60px;
        left: 0;
        width: 100%;
        padding: 1rem 0;
        border-radius: 0 0 20px 20px;
    }

    #menu-checkbox:checked+.menu-toggle+.nav-links {
        display: flex;
    }

    .menu-toggle {
        display: flex;
    }
}
.mimgc {
    position: relative;
}
@media (max-width: 600px) {
    .mimgc {
        display: none;
    }
}
.mimg {
    position:absolute;
    width: 380px;
    top: -420px;
    left: 1100px;
    border-radius: 50px;
    mix-blend-mode:difference;
}

.mimgc2 {
    position: relative;
}
.mimg2 {
    position:absolute;
    width: 400px;
    top: -170px;
    left: -50px;
    mix-blend-mode:difference;
}
@media (max-width: 600px) {
    .mimg2 {
    width: 200px;
    top: -50px;
    left: -100px;
    }
}
.mimgc3 {
    position: relative;
}
@media (max-width: 600px) {
    .mimgc3 {
        display: none;
    }
}
.mimg3 {
    position:absolute;
    width: 400px;
    left: 1100px;
    top: -100px;
    mix-blend-mode:difference;
}
@media (max-width: 600px) {
    .mimg3 {
   display: none;
    }
}
.mimgc4 {
    position: relative;
}
@media (max-width: 600px) {
    .mimgc4 {
        display: none;
    }
}
@media (max-width: 600px) {
    .mimgc4 {
    display: none;
    }
}
.mimg4 {
    position:absolute;
    width: 400px;
    left: -100px;
    top: -50px;
    mix-blend-mode: difference;
}

.mimgc5 {
    position: relative;
    background-color: transparent;
}
@media (max-width: 600px) {
    .mimgc5 {
        display: none;
    }
}
.mimg5 {
    position:absolute;
    width: 400px;
    left: 1100px;
    top: -240px;
    mix-blend-mode: difference;
}
@media (max-width: 600px) {
    .mimg5 {
    display: none;
    }
}
.mimgc6 {
    position: relative;
    background-color: transparent;
}
@media (max-width: 600px) {
    .mimgc6 {
    display: none;
    }
}
.mimg6 {
    position:absolute;
    width: 300px;
    left: -70px;
    top: 100px;
    mix-blend-mode: difference;
}
.title {
    font-size: 55px;
    text-align: center;
    background: #353535;
    background: linear-gradient(to top left, #323232 0%, #ACA3A7 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-weight: bold;
}

@media (max-width: 600px) {
    .title {
        font-size: 35px;
    }
}

.mini-text1 {
    text-align: center;
    font-size: 16px;
    color: #ACA3A7;
    padding: 10px;
}

@media (max-width: 600px) {
    .mini-text1 {
        font-size: 14px;
    }
}

.btn {
    text-decoration: none;
    border: 1px solid rgb(122, 122, 122);
    font-size: 26px;
    transition: all 0.3s ease;
    padding: 15px;
}
@media (max-width: 600px) {
    .btn {
        font-size: 14px;
    }
}

.btn:hover {
    box-shadow: 7px 7px #294534;
}

.text-changer {
    margin-top: -39px;
    margin-left: 465PX;
    height: 80px;
    padding: 10px;
    border-radius: 8px;
    display: flex;
    box-sizing: content-box;
    font-size: 55px;
}

@media (max-width: 600px) {
    .text-changer {
        margin-top: -39px;
        margin-left: 53PX;
        height: 40px;
        padding: 10px;
        border-radius: 8px;
        display: flex;
        box-sizing: content-box;
        font-size: 23px;
    }
}

.intro-text {
    margin: -2px;
    background: linear-gradient(to top left, #323232 0%, #ACA3A7 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.roles-container {
    overflow: hidden;
    position: relative;
}

.role {
    display: block;
    height: 100%;
    padding-left: 10px;
    background: linear-gradient(to top left, #9dffa3 0%, #2e6238 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    animation: role-change 4s infinite;
}

@keyframes role-change {
    10% {
        transform: translateY(-102%);
    }

    25% {
        transform: translateY(-100%);
    }

    35% {
        transform: translateY(-202%);
    }

    50% {
        transform: translateY(-200%);
    }
}

.title2 {
    font-size: 30px;
    text-align: center;
    font-weight: bold;
    background-color: #2e6238;
    width: fit-content;
    text-align: center;
    padding: 15px;
    border-radius: 100px;
    color: #e7e7e7;
}
.note {
    border: 2px solid rgb(67, 67, 67);
    padding: 15px;
    border-radius: 25px;
    transition: all 0.3s ease;
}
.note:hover {
    background-color: rgba(33, 63, 29, 0.304);
    box-shadow: 4px 4px rgb(33, 63, 29);
}
.ntitle {
    background-color: #2e623885;
    width: fit-content;
    padding: 10px;
    border-top-right-radius: 20px;
    border-bottom-right-radius: 20px;
    padding-right: 25px;
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
    font-weight: 700;
}
.page3 {
    background-color: #42524a95;
    border-top-left-radius: 70px;
    border-top-right-radius: 70px;
}
.note2 {
    background-color: #34523a80;
    padding: 15px;
    margin: 10px;
    border-radius: 25px;
    border-top-right-radius: 85px;
}
.note2:hover {
    box-shadow: 4px 4px rgb(49, 80, 50);
    transition: all 0.3s ease;
}
.ntitle2 {
    border-top: 1px solid rgb(54, 145, 64);
    border-left: 1px solid rgb(54, 145, 64);
    border-right: 1px solid rgb(54, 145, 64);
    border-radius: 15px;
    padding: 10px;
    width: fit-content;
    font-weight: 700;
}
.nbtn {
    background-color: #2e6238;
    text-decoration: none;
    padding: 15px;
    border-radius: 10px;
    border-top-right-radius: 30px;
    padding-right: 20px;
}
.note3 {
    border: 2px solid rgb(131, 131, 131);
    padding: 30px;
    text-align: center;
     transition: all 0.3s ease;
    max-width: 100%;
}
.note3:hover {
    background-color: rgb(0, 0, 0);
}
.text3 {
    text-decoration: none;
    font-size: 20px;
     transition: all 0.3s ease;
}
.input {
    border: 1px solid rgb(53, 94, 58);
    background-color: transparent;
    padding: 15px;
    margin: 10px;
    border-radius: 10px;
    border-top-right-radius: 30px;
    transition: all 0.3s ease;
    width: 80%;
}
.input:hover {
    background-color: #2d4f33;
}
.input:active {
    background-color: #2d4f33;
}
.cform {
    border: 1px solid rgb(82, 82, 82);
    padding: 30px;
    border-radius: 25px;
    border-top-right-radius: 55px;
}
.cbtn {
    background-color: #2d4f33;
    padding: 15px;
    border: none;
    border-radius: 25px;
    cursor: pointer;
}
.cimg {
    height: 390px;
    border-radius: 40px;
}
@media (max-width: 600px) {
    .cimg {
        height: 300px;
    }
}
